
Redmine - Defect #26515

Email not being sent for NEW issues using async_smtp AND non-standard emission address

2017-07-24 17:45 - Matthew Paul

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

This is similar to an old issue about async_smtp mail.  To reproduce -

Project A - setup with inbound/outbound email the same like tracker@example.com

Project B - setup with inbound email like test@example.com but outbound the same tracker@example.com

On project A, new issues will cause emails to be sent fine

On Project B, new issues will cause emails to NOT be sent for NEW issues. UPDATES however will work fine.

So this is like similar issues I see. I fixed it by returning to smtp emails, but this is not as good, obviously.  It looks like when you fixed

the original issue from a few years back, you fixed it for email UPDATES but not for NEW emails with an email address different from

the inbound email address.

History

#1 - 2017-07-24 18:47 - Toshi MARUYAMA

- Status changed from New to Needs feedback

What difference with #8157?

#2 - 2017-07-24 22:34 - Matthew Paul

#8157 relates to sending emails if one of the recipient emails is wrong. This is different and very specific. It only occurs if you have two projects with 2

inbound emails, 1 where the standard redmine emission email is the same as the inbound email, one where the inbound email is DIFFERENT fro the

emission email.

In the first case - inbound and emission emails are the same - add task to a project, notifies ok about that new issue.

In the second case, inbound and emission emails are not the same - add task to a project, does not notify ok about new issue. BUT does notify ok

about any subsequent updates, strangely.

I do have plugins, but I do not think it is anything to do with that. Why?  Because, if I do nothing else except change configuration.yml from

async_smtp to smtp, it fixes itself. i.e. no changes whatsoever to redmine, only to the smtp protocol, and it starts working.  Which is fine, not a big

problem. But async is definitely better.

#3 - 2017-08-20 12:15 - Toshi MARUYAMA

What is plugin you use?

What does "inbound/outbound" means?

#4 - 2018-06-22 17:24 - Matthew Paul

Probably due to plugins - Please Close

#5 - 2018-06-23 04:04 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Matthew Paul wrote:

Probably due to plugins - Please Close
 Thank you for the feedback.
